/***************************************************************************
 *																		 *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or	 *
 *   (at your option) any later version.								   *
 *																		 *
 ***************************************************************************/

/*
 *
  Ricardo Galli <gallir@uib.es>
  This is an attempt to do The Right Thing for SpeedSteps and PPC.
  And also obey strictly to KISS.
 */

#define VERSION	"0.99.0"

// print debugging output
//#define DEBUG   1


// To activate debug printings
#ifdef DEBUG
#   define errprintf(A...) fprintf(stderr,A)
#else
#   define errprintf(A...)
#endif

#define DEFAULT_DISK	"/dev/hda"
#define	STANDBY_PERIOD	2  // period in seconds for checking standby 
#define	TIME_TO_FLUSH	4  // seconds to allow for io operation due to a flush

#define TRUE	1
#define FALSE	0

#define GET_NUMBER(flag,num)	num = 0; \
				if (!*p && argc && isdigit(**argv)) \
					p = *argv++, --argc; \
				while (isdigit(*p)) { \
					flag = 1; \
					num = (num * 10) + (*p++ - '0'); \
				}

#define GET_STRING(flag, num) tmpstr = name; \
				tmpstr[0] = '\0'; \
				if (!*p && argc && isalnum(**argv)) \
					p = *argv++, --argc; \
				while (isalnum(*p) && (tmpstr - name) < 31) { \
					tmpstr[0] = *p++; \
					tmpstr[1] = '\0'; \
					++tmpstr; \
				} \
				num = translate_xfermode(name); \
				if (num == -1) \
					flag = 0; \
				else \
					flag = 1;

